SystemOrganization addCategory: #ConfigurationOfMoose!

Object subclass: #ConfigurationOfMoose
	instanceVariableNames: 'project'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfMoose'!

!ConfigurationOfMoose class methodsFor: 'private' stamp: 'tg 11/17/2009 08:19'!
ensureMetacello
	Smalltalk at: #MetacelloProject ifAbsent: [
		Gofer new
				url: 'http://seaside.gemstone.com/ss/metacello';
				addPackage: 'ConfigurationOfMetacello';
				load.
		(Smalltalk at: #ConfigurationOfMetacello) loadLatestVersion ]! !

!ConfigurationOfMoose class methodsFor: 'metacello tool support' stamp: 'tg 10/19/2009 22:11'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfMoose class methodsFor: 'loading' stamp: 'tg 11/30/2009 17:53'!
loadDefault
	Transcript open.
	Transcript show: 'Loading Moose configuration ...'; cr; show: '--------'; cr; cr.
	(self project version: 'default') load.
	(Smalltalk at: #MooseScripts) perform: #openMooseWorkspace.
	Transcript show: 'Moose configuration loaded. Have fun!!'; cr.
! !

!ConfigurationOfMoose class methodsFor: 'accessing' stamp: 'tg 10/19/2009 22:11'!
project

	^self new project! !

!ConfigurationOfMoose class methodsFor: 'loading' stamp: 'StephaneDucasse 11/17/2009 22:26'!
updateDefault
	"self updateDefault"
	
	"first update configuration"
	self project updateProject.
	"then load default version"
	self loadDefault! !

!ConfigurationOfMoose methodsFor: 'baselines' stamp: 'tg 11/21/2009 23:07'!
baseline40beta2: spec 
	<version: '4.0-beta.2-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/Moose'.
		"External requirements"
		spec 
			package: 'Nile-Base' with: [spec repository: 'http://www.squeaksource.com/Nile'];
			package: 'Phexample' with: [spec repository: 'http://www.squeaksource.com/phexample'];
			package: 'Fame' with: [
				spec repository: 'http://www.squeaksource.com/Fame'.
				spec requires: #('Phexample')];
			package: 'Hashtable' with: [spec repository: 'http://www.squeaksource.com/ht'];
			package: 'Merlin' with: [spec repository: 'http://www.squeaksource.com/Merlin'];
			package: 'CollectionExtensions' with: [spec repository: 'http://www.squeaksource.com/CollectionExtensions'].
		"Moose packages"
		spec
			package: 'Moose-Core' with: [spec requires: #('Fame')];
			package: 'Famix-Specifications';
			package: 'Famix-Core' with: [ spec requires: #('Moose-Core') ];
			package: 'Famix-Implementation';
			package: 'Famix-Smalltalk' with: [spec file: 'Famix-Smalltalk-'. spec requires: 'Famix-Core'];
			package: 'Famix-Java' with: [ spec requires: #('Famix-Core') ];
			package: 'Famix-Extensions' with: [ spec requires: #('Famix-Core') ];
			package: 'Famix-File' with: [ spec requires: #('Famix-Core') ];
			package: 'Moose-Hismo';
			package: 'Famix-SourceAnchor' with: [ spec requires: #('Famix-Core') ];
			package: 'Moose-GenericImporter';
			package: 'Moose-SmalltalkImporter';
			package: 'Moose-MonticelloImporter';
			package: 'Moose-Finder' with: [ spec requires: #('Glamour for Moose') ];
			package: 'Moose-Wizard' with: [spec requires: #('Merlin')];
			package: 'Moose-LAN';
			package: 'Moose-ReferenceModel';
			package: 'Moose-Test-PackageOne';
			package: 'Moose-Test-PackageTwo';
			package: 'Famix-LANTests';
			package: 'Moose-ModelTest';
			package: 'Famix-Test';
			package: 'Moose-MondrianScripts' with: [
				spec requires: #('Mondrian for Moose' 'Famix-Extensions') ];
			package: 'Moose-MondrianPaintings' with: [
				spec requires: #('Mondrian for Moose' 'MooseAlgos for Moose') ];
			package: 'Moose-SmalltalkImporterTests';
			package: 'MooseKGB-TestFamix3';
			package: 'Moose-KGB-P4FullInteracted';
			package: 'Moose-KGB-P6InteractedReferee';
			package: 'Moose-KGB-P5FullReferee';
			package: 'Moose-KGB-P1FullReferencer';
			package: 'Moose-KGB-P2InteractedReferencerReferee';
			package: 'Moose-KGB-P3InteractedReferencer';
			package: 'Moose-KGB-P7ReferencerReferee';
			package: 'Moose-KGB-P8FullReferencer';
			package: 'Moose-KGB-P9FullReferencer';
			package: 'Moose-KGB-P10InteractedReferee';
			package: 'Moose-KGB-P11FullReferee';
			package: 'Moose-KGB-P12FullReferencer';
			package: 'Moose-KGB-P13FullReferencer';
			package: 'Moose-KGB-P14FullReferee';
			package: 'Moose-KGB-PExtensions';
			package: 'Moose-PackageBlueprint';
			package: 'Moose-Tests-PackageBlueprint';
			package: 'Moose-PB-P1Hierarchy';
			package: 'Moose-PB-P1Referencer';
			package: 'Moose-PB-P2Hierarchy';
			package: 'Moose-PB-P2Referee';
			package: 'Moose-PB-P3MiddleMan';
			package: 'Moose-PB-P4SelfContained'.
		spec
			group: 'Core' with: #(
				'Moose-Core'
				'Famix-Core'
				'Famix-Implementation'
				'Famix-Smalltalk'
				'Famix-Java'
				'Famix-Extensions'
				'Famix-File'
				'Moose-Hismo'
				'Famix-SourceAnchor'
				'Moose-GenericImporter'
				'Moose-SmalltalkImporter'
				'Moose-MonticelloImporter'
				'Mondrian for Moose'
				'MooseAlgos for Moose'
				'Glamour for Moose'
				'DSM for Moose'
				'SmallDude for Moose');
			group: 'UI' with: #( 'Moose-Finder' ); 
			group: 'Tests' with: #(
				"Libraries testing"
				'Fame'
				'Hashtable'
				'CollectionExtensions'
				"Moose testing"
				'Moose-LAN'
				'Moose-ReferenceModel'
				'Moose-Test-PackageOne'
				'Moose-Test-PackageTwo'
				'Famix-LANTests'
				'Moose-ModelTest'
				'Famix-Test'
				'Moose-SmalltalkImporterTests'
				'MooseKGB-TestFamix3'
				'Moose-KGB-P4FullInteracted'
				'Moose-KGB-P6InteractedReferee'
				'Moose-KGB-P5FullReferee'
				'Moose-KGB-P1FullReferencer'
				'Moose-KGB-P2InteractedReferencerReferee'
				'Moose-KGB-P3InteractedReferencer'
				'Moose-KGB-P7ReferencerReferee'
				'Moose-KGB-P8FullReferencer'
				'Moose-KGB-P9FullReferencer'
				'Moose-KGB-P10InteractedReferee'
				'Moose-KGB-P11FullReferee'
				'Moose-KGB-P12FullReferencer'
				'Moose-KGB-P13FullReferencer'
				'Moose-KGB-P14FullReferee'
				'Moose-KGB-PExtensions'
				'Moose-Tests-PackageBlueprint'
				'Moose-PB-P1Hierarchy'
				'Moose-PB-P1Referencer'
				'Moose-PB-P2Hierarchy'
				'Moose-PB-P2Referee'
				'Moose-PB-P3MiddleMan'
				'Moose-PB-P4SelfContained' ).
		spec
			project: 'MooseAlgos for Moose' with: [
				spec
					className: 'ConfigurationOfMooseAlgos';
					file: 'ConfigurationOfMooseAlgos';
					version: 'default';
					repository: 'http://www.squeaksource.com/MooseAlgos' ].
		spec project: 'DSM for Moose' with: [
				spec
					className: 'ConfigurationOfDSM';
					file: 'ConfigurationOfDSM';
					version: 'default';
					repository: 'http://www.squeaksource.com/dsm' ].
		spec project: 'Glamour for Moose' with: [
				spec
					className: 'ConfigurationOfGlamour';
					file: 'ConfigurationOfGlamour';
					version: 'default';
					repository: 'http://www.squeaksource.com/Glamour' ].
		spec project: 'Mondrian for Moose' with: [
				spec
					className: 'ConfigurationOfMondrian';
					file: 'ConfigurationOfMondrian';
					version: 'default';
					repository: 'http://www.squeaksource.com/Mondrian' ].
		spec project: 'SmallDude for Moose' with: [
				spec
					className: 'ConfigurationOfSmallDude';
					file: 'ConfigurationOfSmallDude';
					version: 'default';
					repository: 'http://www.squeaksource.com/SmallDude' ].
	]! !

!ConfigurationOfMoose methodsFor: 'versions' stamp: 'simondenier 12/4/2009 17:12'!
branch401: spec
	<version: '4.0.1' imports: #('4.0-beta.2' )>

	spec for: #common do: [
		spec author: 'Alexandre Bergel'.
		spec timestamp: '12/4/2009 17:06'.
		spec blessing: #development.
		spec 
			project: 'MooseAlgos for Moose' with: '2.0-beta.1';
			project: 'DSM for Moose' with: '2.0-beta.1';
			project: 'Glamour for Moose' with: '2.0-beta.1';
			project: 'Mondrian for Moose' with: '2.0-beta.1';
			project: 'SmallDude for Moose' with: '2.0-beta.1'.
		spec 
			package: 'Nile-Base' with: 'Nile-Base-StephaneDucasse.77';
			package: 'Phexample' with: 'Phexample-AdrianKuhn.44';
			package: 'Fame' with: 'Fame-cyrille_delaunay.143';
			package: 'Hashtable' with: 'Hashtable-pmm.30';
			package: 'Merlin' with: 'Merlin-cyrille_delaunay.17';
			package: 'CollectionExtensions' with: 'CollectionExtensions-tg.18';
			package: 'Moose-Core' with: 'Moose-Core-jannik_laval.198';
			package: 'Famix-Specifications' with: 'Famix-Specifications-simon_denier.4';
			package: 'Famix-Core' with: 'Famix-Core-tg.102';
			package: 'Famix-Implementation' with: 'Famix-Implementation-simon_denier.53';
			package: 'Famix-Smalltalk' with: 'Famix-Smalltalk-tg.34';
			package: 'Famix-Java' with: 'Famix-Java-simon_denier.7';
			package: 'Famix-Extensions' with: 'Famix-Extensions-Alexandre_Bergel.72';
			package: 'Famix-File' with: 'Famix-File-simondenier.25';
			package: 'Moose-Hismo' with: 'Moose-Hismo-tg.26';
			package: 'Famix-SourceAnchor' with: 'Famix-SourceAnchor-simondenier.16';
			package: 'Moose-GenericImporter' with: 'Moose-GenericImporter-tg.32';
			package: 'Moose-SmalltalkImporter' with: 'Moose-SmalltalkImporter-tg.77';
			package: 'Moose-MonticelloImporter' with: 'Moose-MonticelloImporter-simon_denier.10';
			package: 'Moose-Finder' with: 'Moose-Finder-tg.124';
			package: 'Moose-Wizard' with: 'Moose-Wizard-cyrille_delaunay.16';
			package: 'Moose-LAN' with: 'Moose-LAN-simondenier.9';
			package: 'Moose-ReferenceModel' with: 'Moose-ReferenceModel-stephane_ducasse.ducasse.15';
			package: 'Moose-Test-PackageOne' with: 'Moose-Test-PackageOne-stephane.ducasse.2';
			package: 'Moose-Test-PackageTwo' with: 'Moose-Test-PackageTwo-simon_denier.ducasse.3';
			package: 'Famix-LANTests' with: 'Famix-LANTests-tg.27';
			package: 'Moose-ModelTest' with: 'Moose-ModelTest-tg.51';
			package: 'Famix-Test' with: 'Famix-Test-tg.6';
			package: 'Moose-MondrianScripts' with: 'Moose-MondrianScripts-simondenier.56';
			package: 'Moose-MondrianPaintings' with: 'Moose-MondrianPaintings-simondenier.3';
			package: 'Moose-SmalltalkImporterTests' with: 'Moose-SmalltalkImporterTests-simondenier.9';
			package: 'MooseKGB-TestFamix3' with: 'MooseKGB-TestFamix3-tg.14';
			package: 'Moose-KGB-P4FullInteracted' with: 'Moose-KGB-P4FullInteracted-jannik_laval.1';
			package: 'Moose-KGB-P6InteractedReferee' with: 'Moose-KGB-P6InteractedReferee-jannik_laval.1';
			package: 'Moose-KGB-P5FullReferee' with: 'Moose-KGB-P5FullReferee-jannik_laval.1';
			package: 'Moose-KGB-P1FullReferencer' with: 'Moose-KGB-P1FullReferencer-jannik_laval.1';
			package: 'Moose-KGB-P2InteractedReferencerReferee' with: 'Moose-KGB-P2InteractedReferencerReferee-jannik_laval.1';
			package: 'Moose-KGB-P3InteractedReferencer' with: 'Moose-KGB-P3InteractedReferencer-jannik_laval.1';
			package: 'Moose-KGB-P7ReferencerReferee' with: 'Moose-KGB-P7ReferencerReferee-jannik_laval.1';
			package: 'Moose-KGB-P8FullReferencer' with: 'Moose-KGB-P8FullReferencer-jannik_laval.1';
			package: 'Moose-KGB-P9FullReferencer' with: 'Moose-KGB-P9FullReferencer-jannik_laval.1';
			package: 'Moose-KGB-P10InteractedReferee' with: 'Moose-KGB-P10InteractedReferee-jannik_laval.1';
			package: 'Moose-KGB-P11FullReferee' with: 'Moose-KGB-P11FullReferee-jannik_laval.1';
			package: 'Moose-KGB-P12FullReferencer' with: 'Moose-KGB-P12FullReferencer-jannik_laval.1';
			package: 'Moose-KGB-P13FullReferencer' with: 'Moose-KGB-P13FullReferencer-jannik_laval.1';
			package: 'Moose-KGB-P14FullReferee' with: 'Moose-KGB-P14FullReferee-jannik_laval.1';
			package: 'Moose-KGB-PExtensions' with: 'Moose-KGB-PExtensions-jannik_laval.1';
			package: 'Moose-PackageBlueprint' with: 'Moose-PackageBlueprint-simondenier.9';
			package: 'Moose-Tests-PackageBlueprint' with: 'Moose-Tests-PackageBlueprint-simon_denier.8';
			package: 'Moose-PB-P1Hierarchy' with: 'Moose-PB-P1Hierarchy-Sd.1';
			package: 'Moose-PB-P1Referencer' with: 'Moose-PB-P1Referencer-Sd.2';
			package: 'Moose-PB-P2Hierarchy' with: 'Moose-PB-P2Hierarchy-Sd.1';
			package: 'Moose-PB-P2Referee' with: 'Moose-PB-P2Referee-Sd.2';
			package: 'Moose-PB-P3MiddleMan' with: 'Moose-PB-P3MiddleMan-Sd.2';
			package: 'Moose-PB-P4SelfContained' with: 'Moose-PB-P4SelfContained-Sd.2'.].! !

!ConfigurationOfMoose methodsFor: 'versions' stamp: 'simondenier 12/8/2009 14:23'!
branch402: spec
	<version: '4.0.2' imports: #('4.0-beta.2' )>

	spec for: #common do: [
		spec author: 'simondenier'.
		spec timestamp: '12/8/2009 14:23'.
		spec 
			project: 'MooseAlgos for Moose' with: '2.0-beta.1';
			project: 'DSM for Moose' with: '2.0-beta.1';
			project: 'Glamour for Moose' with: '2.0-beta.1';
			project: 'Mondrian for Moose' with: '2.0-beta.1';
			project: 'SmallDude for Moose' with: '2.0-beta.1'.
		spec 
			package: 'Nile-Base' with: 'Nile-Base-StephaneDucasse.77';
			package: 'Phexample' with: 'Phexample-AdrianKuhn.44';
			package: 'Fame' with: 'Fame-cyrille_delaunay.143';
			package: 'Hashtable' with: 'Hashtable-pmm.30';
			package: 'Merlin' with: 'Merlin-cyrille_delaunay.17';
			package: 'CollectionExtensions' with: 'CollectionExtensions-tg.18';
			package: 'Moose-Core' with: 'Moose-Core-simondenier.202';
			package: 'Famix-Specifications' with: 'Famix-Specifications-simon_denier.4';
			package: 'Famix-Core' with: 'Famix-Core-tg.103';
			package: 'Famix-Implementation' with: 'Famix-Implementation-simon_denier.53';
			package: 'Famix-Smalltalk' with: 'Famix-Smalltalk-tg.34';
			package: 'Famix-Java' with: 'Famix-Java-simon_denier.7';
			package: 'Famix-Extensions' with: 'Famix-Extensions-Alexandre_Bergel.73';
			package: 'Famix-File' with: 'Famix-File-simondenier.25';
			package: 'Moose-Hismo' with: 'Moose-Hismo-tg.26';
			package: 'Famix-SourceAnchor' with: 'Famix-SourceAnchor-simondenier.16';
			package: 'Moose-GenericImporter' with: 'Moose-GenericImporter-tg.32';
			package: 'Moose-SmalltalkImporter' with: 'Moose-SmalltalkImporter-tg.77';
			package: 'Moose-MonticelloImporter' with: 'Moose-MonticelloImporter-simon_denier.10';
			package: 'Moose-Finder' with: 'Moose-Finder-simondenier.127';
			package: 'Moose-Wizard' with: 'Moose-Wizard-cyrille_delaunay.17';
			package: 'Moose-LAN' with: 'Moose-LAN-simondenier.9';
			package: 'Moose-ReferenceModel' with: 'Moose-ReferenceModel-stephane_ducasse.ducasse.15';
			package: 'Moose-Test-PackageOne' with: 'Moose-Test-PackageOne-stephane.ducasse.2';
			package: 'Moose-Test-PackageTwo' with: 'Moose-Test-PackageTwo-simon_denier.ducasse.3';
			package: 'Famix-LANTests' with: 'Famix-LANTests-tg.27';
			package: 'Moose-ModelTest' with: 'Moose-ModelTest-tg.52';
			package: 'Famix-Test' with: 'Famix-Test-tg.6';
			package: 'Moose-MondrianScripts' with: 'Moose-MondrianScripts-simondenier.56';
			package: 'Moose-MondrianPaintings' with: 'Moose-MondrianPaintings-simondenier.3';
			package: 'Moose-SmalltalkImporterTests' with: 'Moose-SmalltalkImporterTests-simondenier.9';
			package: 'MooseKGB-TestFamix3' with: 'MooseKGB-TestFamix3-tg.14';
			package: 'Moose-KGB-P4FullInteracted' with: 'Moose-KGB-P4FullInteracted-jannik_laval.1';
			package: 'Moose-KGB-P6InteractedReferee' with: 'Moose-KGB-P6InteractedReferee-jannik_laval.1';
			package: 'Moose-KGB-P5FullReferee' with: 'Moose-KGB-P5FullReferee-jannik_laval.1';
			package: 'Moose-KGB-P1FullReferencer' with: 'Moose-KGB-P1FullReferencer-jannik_laval.1';
			package: 'Moose-KGB-P2InteractedReferencerReferee' with: 'Moose-KGB-P2InteractedReferencerReferee-jannik_laval.1';
			package: 'Moose-KGB-P3InteractedReferencer' with: 'Moose-KGB-P3InteractedReferencer-jannik_laval.1';
			package: 'Moose-KGB-P7ReferencerReferee' with: 'Moose-KGB-P7ReferencerReferee-jannik_laval.1';
			package: 'Moose-KGB-P8FullReferencer' with: 'Moose-KGB-P8FullReferencer-jannik_laval.1';
			package: 'Moose-KGB-P9FullReferencer' with: 'Moose-KGB-P9FullReferencer-jannik_laval.1';
			package: 'Moose-KGB-P10InteractedReferee' with: 'Moose-KGB-P10InteractedReferee-jannik_laval.1';
			package: 'Moose-KGB-P11FullReferee' with: 'Moose-KGB-P11FullReferee-jannik_laval.1';
			package: 'Moose-KGB-P12FullReferencer' with: 'Moose-KGB-P12FullReferencer-jannik_laval.1';
			package: 'Moose-KGB-P13FullReferencer' with: 'Moose-KGB-P13FullReferencer-jannik_laval.1';
			package: 'Moose-KGB-P14FullReferee' with: 'Moose-KGB-P14FullReferee-jannik_laval.1';
			package: 'Moose-KGB-PExtensions' with: 'Moose-KGB-PExtensions-jannik_laval.1';
			package: 'Moose-PackageBlueprint' with: 'Moose-PackageBlueprint-simondenier.9';
			package: 'Moose-Tests-PackageBlueprint' with: 'Moose-Tests-PackageBlueprint-simon_denier.8';
			package: 'Moose-PB-P1Hierarchy' with: 'Moose-PB-P1Hierarchy-Sd.1';
			package: 'Moose-PB-P1Referencer' with: 'Moose-PB-P1Referencer-Sd.2';
			package: 'Moose-PB-P2Hierarchy' with: 'Moose-PB-P2Hierarchy-Sd.1';
			package: 'Moose-PB-P2Referee' with: 'Moose-PB-P2Referee-Sd.2';
			package: 'Moose-PB-P3MiddleMan' with: 'Moose-PB-P3MiddleMan-Sd.2';
			package: 'Moose-PB-P4SelfContained' with: 'Moose-PB-P4SelfContained-Sd.2'.].! !

!ConfigurationOfMoose methodsFor: 'baselines' stamp: 'tg 12/10/2009 23:22'!
default: spec 
	<version: 'default'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/Moose'.
		"External requirements"
		spec 
			package: 'Filesystem' with: [spec repository: 'http://source.wiresong.ca/mc'];
			package: 'Nile-Base' with: [spec repository: 'http://www.squeaksource.com/Nile'];
			package: 'Phexample' with: [spec repository: 'http://www.squeaksource.com/phexample'];
			package: 'Fame' with: [
				spec repository: 'http://www.squeaksource.com/Fame'.
				spec requires: #('Phexample')];
			package: 'Hashtable' with: [spec repository: 'http://www.squeaksource.com/ht'];
			package: 'Merlin' with: [spec repository: 'http://www.squeaksource.com/Merlin'];
			package: 'OSProcess' with: [spec repository: 'http://www.squeaksource.com/OSProcess'];
			package: 'CollectionExtensions' with: [spec repository: 'http://www.squeaksource.com/CollectionExtensions'].
		"Moose packages"
		spec
			package: 'Moose-Core' with: [spec requires: #('Fame')];
			package: 'Famix-Specifications';
			package: 'Famix-Core' with: [ spec requires: #('Moose-Core') ];
			package: 'Famix-Implementation';
			package: 'Famix-Smalltalk' with: [spec file: 'Famix-Smalltalk-'. spec requires: 'Famix-Core'];
			package: 'Famix-Java' with: [ spec requires: #('Famix-Core') ];
			package: 'Famix-Extensions' with: [ spec requires: #('Famix-Core') ];
			package: 'Famix-File' with: [ spec requires: #('Famix-Core' 'Filesystem') ];
			package: 'Moose-Hismo';
			package: 'Famix-SourceAnchor' with: [ spec requires: #('Famix-Core') ];
			package: 'Moose-GenericImporter';
			package: 'Moose-SmalltalkImporter';
			package: 'Moose-MonticelloImporter';
			package: 'Moose-Finder' with: [ spec requires: #('Glamour for Moose') ];
			package: 'Moose-Wizard' with: [spec requires: #('Merlin'). spec requires: 'OSProcess'];
			package: 'Moose-LAN';
			package: 'Moose-ReferenceModel';
			package: 'Moose-Test-PackageOne';
			package: 'Moose-Test-PackageTwo';
			package: 'Famix-LANTests';
			package: 'Moose-ModelTest';
			package: 'Famix-Tests-Core';
			package: 'Famix-Tests-Java';
			package: 'Moose-MondrianScripts' with: [
				spec requires: #('Mondrian for Moose' 'Famix-Extensions') ];
			package: 'Moose-MondrianPaintings' with: [
				spec requires: #('Mondrian for Moose' 'MooseAlgos for Moose') ];
			package: 'Moose-SmalltalkImporterTests';
			package: 'MooseKGB-TestFamix3';
			package: 'Moose-KGB-P4FullInteracted';
			package: 'Moose-KGB-P6InteractedReferee';
			package: 'Moose-KGB-P5FullReferee';
			package: 'Moose-KGB-P1FullReferencer';
			package: 'Moose-KGB-P2InteractedReferencerReferee';
			package: 'Moose-KGB-P3InteractedReferencer';
			package: 'Moose-KGB-P7ReferencerReferee';
			package: 'Moose-KGB-P8FullReferencer';
			package: 'Moose-KGB-P9FullReferencer';
			package: 'Moose-KGB-P10InteractedReferee';
			package: 'Moose-KGB-P11FullReferee';
			package: 'Moose-KGB-P12FullReferencer';
			package: 'Moose-KGB-P13FullReferencer';
			package: 'Moose-KGB-P14FullReferee';
			package: 'Moose-KGB-PExtensions';
			package: 'Moose-PackageBlueprint';
			package: 'Moose-Tests-PackageBlueprint';
			package: 'Moose-PB-P1Hierarchy';
			package: 'Moose-PB-P1Referencer';
			package: 'Moose-PB-P2Hierarchy';
			package: 'Moose-PB-P2Referee';
			package: 'Moose-PB-P3MiddleMan';
			package: 'Moose-PB-P4SelfContained'.
		spec
			group: 'Core' with: #(
				'Moose-Core'
				'Famix-Core'
				'Famix-Implementation'
				'Famix-Smalltalk'
				'Famix-Java'
				'Famix-Extensions'
				'Famix-File'
				'Moose-Hismo'
				'Famix-SourceAnchor'
				'Moose-GenericImporter'
				'Moose-SmalltalkImporter'
				'Moose-MonticelloImporter'
				'Mondrian for Moose'
				'MooseAlgos for Moose'
				'Glamour for Moose'
				'DSM for Moose'
				'SmallDude for Moose');
			group: 'UI' with: #( 'Moose-Finder' ); 
			group: 'Tests' with: #(
				"Libraries testing"
				'Fame'
				'Hashtable'
				'CollectionExtensions'
				"Moose testing"
				'Moose-LAN'
				'Moose-ReferenceModel'
				'Moose-Test-PackageOne'
				'Moose-Test-PackageTwo'
				'Famix-LANTests'
				'Moose-ModelTest'
				'Famix-Tests-Core'
				'Famix-Tests-Java'
				'Moose-SmalltalkImporterTests'
				'MooseKGB-TestFamix3'
				'Moose-KGB-P4FullInteracted'
				'Moose-KGB-P6InteractedReferee'
				'Moose-KGB-P5FullReferee'
				'Moose-KGB-P1FullReferencer'
				'Moose-KGB-P2InteractedReferencerReferee'
				'Moose-KGB-P3InteractedReferencer'
				'Moose-KGB-P7ReferencerReferee'
				'Moose-KGB-P8FullReferencer'
				'Moose-KGB-P9FullReferencer'
				'Moose-KGB-P10InteractedReferee'
				'Moose-KGB-P11FullReferee'
				'Moose-KGB-P12FullReferencer'
				'Moose-KGB-P13FullReferencer'
				'Moose-KGB-P14FullReferee'
				'Moose-KGB-PExtensions'
				'Moose-Tests-PackageBlueprint'
				'Moose-PB-P1Hierarchy'
				'Moose-PB-P1Referencer'
				'Moose-PB-P2Hierarchy'
				'Moose-PB-P2Referee'
				'Moose-PB-P3MiddleMan'
				'Moose-PB-P4SelfContained' ).
		spec
			project: 'MooseAlgos for Moose' with: [
				spec
					className: 'ConfigurationOfMooseAlgos';
					file: 'ConfigurationOfMooseAlgos';
					version: 'default';
					repository: 'http://www.squeaksource.com/MooseAlgos' ].
		spec project: 'DSM for Moose' with: [
				spec
					className: 'ConfigurationOfDSM';
					file: 'ConfigurationOfDSM';
					version: 'default';
					repository: 'http://www.squeaksource.com/dsm' ].
		spec project: 'Glamour for Moose' with: [
				spec
					className: 'ConfigurationOfGlamour';
					file: 'ConfigurationOfGlamour';
					version: 'default';
					repository: 'http://www.squeaksource.com/Glamour' ].
		spec project: 'Mondrian for Moose' with: [
				spec
					className: 'ConfigurationOfMondrian';
					file: 'ConfigurationOfMondrian';
					version: 'default';
					repository: 'http://www.squeaksource.com/Mondrian' ].
		spec project: 'SmallDude for Moose' with: [
				spec
					className: 'ConfigurationOfSmallDude';
					file: 'ConfigurationOfSmallDude';
					version: 'default';
					repository: 'http://www.squeaksource.com/SmallDude' ].
	]! !

!ConfigurationOfMoose methodsFor: 'accessing' stamp: 'tg 10/19/2009 22:11'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project]! !

!ConfigurationOfMoose methodsFor: 'versions' stamp: 'tg 12/3/2009 17:18'!
version40beta2: spec
	<version: '4.0-beta.2' imports: #('4.0-beta.2-baseline')>

	spec for: #common do: [
		spec blessing: #beta.
		spec author: 'tg'.
		spec timestamp: '11/22/2009 11:26'.
		spec 
			project: 'MooseAlgos for Moose' with: '2.0-beta.1';
			project: 'DSM for Moose' with: '2.0-beta.1';
			project: 'Glamour for Moose' with: '2.0-beta.1';
			project: 'Mondrian for Moose' with: '2.0-beta.1';
			project: 'SmallDude for Moose' with: '2.0-beta.1'.
		spec 
			package: 'Nile-Base' with: 'Nile-Base-StephaneDucasse.77';
			package: 'Phexample' with: 'Phexample-AdrianKuhn.32';
			package: 'Fame' with: 'Fame-simon_denier.136';
			package: 'Hashtable' with: 'Hashtable-pmm.30';
			package: 'Merlin' with: 'Merlin-cyrille_delaunay.10';
			package: 'CollectionExtensions' with: 'CollectionExtensions-tg.18';
			package: 'Moose-Core' with: 'Moose-Core-simon_denier.180';
			package: 'Famix-Specifications' with: 'Famix-Specifications-simon_denier.4';
			package: 'Famix-Core' with: 'Famix-Core-simondenier.98';
			package: 'Famix-Implementation' with: 'Famix-Implementation-simon_denier.53';
			package: 'Famix-Smalltalk' with: 'Famix-Smalltalk-TestRunner.33';
			package: 'Famix-Java' with: 'Famix-Java-simon_denier.7';
			package: 'Famix-Extensions' with: 'Famix-Extensions-simon_denier.69';
			package: 'Famix-File' with: 'Famix-File-simon_denier.19';
			package: 'Moose-Hismo' with: 'Moose-Hismo-tg.26';
			package: 'Famix-SourceAnchor' with: 'Famix-SourceAnchor-simon_denier.13';
			package: 'Moose-GenericImporter' with: 'Moose-GenericImporter-cyrille_delaunay.30';
			package: 'Moose-SmalltalkImporter' with: 'Moose-SmalltalkImporter-jannik_laval.73';
			package: 'Moose-MonticelloImporter' with: 'Moose-MonticelloImporter-simon_denier.10';
			package: 'Moose-Finder' with: 'Moose-Finder-tg.113';
			package: 'Moose-Wizard' with: 'Moose-Wizard-cyrille_delaunay.6';
			package: 'Moose-LAN' with: 'Moose-LAN-jannik_laval.8';
			package: 'Moose-ReferenceModel' with: 'Moose-ReferenceModel-stephane_ducasse.ducasse.15';
			package: 'Moose-Test-PackageOne' with: 'Moose-Test-PackageOne-stephane.ducasse.2';
			package: 'Moose-Test-PackageTwo' with: 'Moose-Test-PackageTwo-simon_denier.ducasse.3';
			package: 'Famix-LANTests' with: 'Famix-LANTests-tg.27';
			package: 'Moose-ModelTest' with: 'Moose-ModelTest-tg.43';
			package: 'Famix-Test' with: 'Famix-Test-tg.6';
			package: 'Moose-MondrianScripts' with: 'Moose-MondrianScripts-tg.54';
			package: 'Moose-MondrianPaintings' with: 'Moose-MondrianPaintings-simon_denier.1';
			package: 'Moose-SmalltalkImporterTests' with: 'Moose-SmalltalkImporterTests-tg.8';
			package: 'MooseKGB-TestFamix3' with: 'MooseKGB-TestFamix3-tg.14';
			package: 'Moose-KGB-P4FullInteracted' with: 'Moose-KGB-P4FullInteracted-jannik_laval.1';
			package: 'Moose-KGB-P6InteractedReferee' with: 'Moose-KGB-P6InteractedReferee-jannik_laval.1';
			package: 'Moose-KGB-P5FullReferee' with: 'Moose-KGB-P5FullReferee-jannik_laval.1';
			package: 'Moose-KGB-P1FullReferencer' with: 'Moose-KGB-P1FullReferencer-jannik_laval.1';
			package: 'Moose-KGB-P2InteractedReferencerReferee' with: 'Moose-KGB-P2InteractedReferencerReferee-jannik_laval.1';
			package: 'Moose-KGB-P3InteractedReferencer' with: 'Moose-KGB-P3InteractedReferencer-jannik_laval.1';
			package: 'Moose-KGB-P7ReferencerReferee' with: 'Moose-KGB-P7ReferencerReferee-jannik_laval.1';
			package: 'Moose-KGB-P8FullReferencer' with: 'Moose-KGB-P8FullReferencer-jannik_laval.1';
			package: 'Moose-KGB-P9FullReferencer' with: 'Moose-KGB-P9FullReferencer-jannik_laval.1';
			package: 'Moose-KGB-P10InteractedReferee' with: 'Moose-KGB-P10InteractedReferee-jannik_laval.1';
			package: 'Moose-KGB-P11FullReferee' with: 'Moose-KGB-P11FullReferee-jannik_laval.1';
			package: 'Moose-KGB-P12FullReferencer' with: 'Moose-KGB-P12FullReferencer-jannik_laval.1';
			package: 'Moose-KGB-P13FullReferencer' with: 'Moose-KGB-P13FullReferencer-jannik_laval.1';
			package: 'Moose-KGB-P14FullReferee' with: 'Moose-KGB-P14FullReferee-jannik_laval.1';
			package: 'Moose-KGB-PExtensions' with: 'Moose-KGB-PExtensions-jannik_laval.1';
			package: 'Moose-PackageBlueprint' with: 'Moose-PackageBlueprint-simon_denier.8';
			package: 'Moose-Tests-PackageBlueprint' with: 'Moose-Tests-PackageBlueprint-simon_denier.8';
			package: 'Moose-PB-P1Hierarchy' with: 'Moose-PB-P1Hierarchy-Sd.1';
			package: 'Moose-PB-P1Referencer' with: 'Moose-PB-P1Referencer-Sd.2';
			package: 'Moose-PB-P2Hierarchy' with: 'Moose-PB-P2Hierarchy-Sd.1';
			package: 'Moose-PB-P2Referee' with: 'Moose-PB-P2Referee-Sd.2';
			package: 'Moose-PB-P3MiddleMan' with: 'Moose-PB-P3MiddleMan-Sd.2';
			package: 'Moose-PB-P4SelfContained' with: 'Moose-PB-P4SelfContained-Sd.2'.].! !
